#include <stdio.h>
#include <sys/file.h>

/*
 * Write the first frame of a vic dump file to
 * stdout, as a JFIF format file.
 */
main(int argc, char **argv)
{
	int fd, cc, len;
	int start = 0;
	int end = 0;
	u_char *p;
	int op, n;
	extern int optind, opterr;
	extern char *optarg;
	char *ofile = "out";
	u_char *bp;
	u_char buffer[80 * 1024];

	opterr = 0;
	while ((op = getopt(argc, argv, "n:s:e:o:")) != -1) {
		switch (op) {

		case 'n':
			start = end = atoi(optarg);
			break;

		case 's':
			start = atoi(optarg);
			break;
			       
		case 'e':
			end = atoi(optarg);
			break;

		case 'o':
			ofile = optarg;
			if (strlen(ofile) > 200)
				exit(1);
			break;
		}
	}
	argc -= optind;
	argv += optind;

	if (argc != 1)
		exit(1);

	fd = open(*argv, O_RDONLY);
	if (fd < 0) {
		perror(*argv);
		exit(1);
	}
	cc = read(fd, (char*)buffer, sizeof(buffer));
	close(fd);
	bp = &buffer[16];
	cc -= 16;

	len = ntohl(*(int*)bp);
	bp += 4;
	cc -= 4;

	write(1, bp, len);

	exit(0);
}
