/* File: ps-win.h	
 *   -- created by Teck-Lee Tung on Fri Jan 17 1997 
 *       separated from mb-file
 *  
 *  $Header: /usr/src/mash/repository/mash/mash-1/ps/ps-win.h,v 1.2 1997/08/09 03:58:19 tecklee Exp $
 *
 * Description:
 */

#ifndef PS_WIN_H
#define PS_WIN_H

#include <stdio.h>
#include <X11/Xatom.h>
#include "tclcl.h"
#include "tkwidget.h"


class PostscriptWindow : public TkWidget {
public:
	PostscriptWindow(const char* path);
	virtual ~PostscriptWindow();
	virtual void draw();
	virtual void update();
	virtual void resize();
	virtual int command(int argc, const char*const* argv);

 public:
	static GC gc_;

protected:
	void gs_nextpage(Window);/*XXX*/

	Atom atom_next_;
	Atom atom_page_;
	Atom atom_done_;
	Drawable pixmap_;

	static int generic_callback(ClientData, XEvent*);
	int check_event(XEvent*);
};


#endif /* #ifdef PS-WIN_H */ 
